<h1>BetterProgression</h1>
<br>Defeating bosses are now a rewarding experience.
<br>
<br>Note: When player defeats a boss, the game applies a "Unique Key", such as "defeated_gdking" when a player defeats Elder. This unique key is used to trigger certain events. The goal of this mod is to give more value out of killing bosses to help progression. 
<br>
<br>Update 1.2.2 - Fixed carry weight issue caused by 1.2.1. Currently working on compatibility with Azumatt's EPI.
<br>
<br><b>Features</b>
<ol type="1">
<li>Allow Teleport of Copper/Tin/Bronze when Elder is defeated.</li>
<li>Allow Teleport of Iron when Bonemass is defeated.</li>
<li>Allow Teleport of Silver when Moder is defeated.</li>
<li>Removes the Mist in Mistlands when Queen is defeated.</li>
<li>Adds Carry Weight for bosses defeated.</li>
<li>Adds Inventory Rows for bosses defeated.</li>
</ol>
<br> <b>Configurable Values:</b>
<br> <ol type="1">
<li>Black Forest - The Elder - List of teleportable items when player defeats Elder.</li>
<li>Swamp - Bonemass - List of teleportable items when player defeat Bonemass.</li>
<li>Mountains - Moder - List of teleportable items when player defeat Moder.</li>
<li>Plains - Yagluth - List of teleportable items when player defeat Yagluth.</li>
<li>Enable Mist Clear - On enabled, removes mist when player defeats Queen.</li>
<li>Add Inventory Row - List of Unique Keys that will add one (1) inventory row for each Unique Key obtained. (e.g. defeated_queen)</li>
<li>Add Carry Weight List - List of Unique Keys that will increase base max Carry Weight for each Unique Key obtained (e.g. defeated_bonemass). Set to blank to disable.</li>
<li>Add Carry Weight Value - Value that is added to the player's base Max Carry Weight. Set to 0 to disable.</li>
</ol>
<br>
<br><b>Credits</b>
<br>Thank you to Azumatt for his help! MistBeGone and AzuExtendedPlayerInventory were the basis for this mod. His help was invaluable.
<br>Thank you to Hugo The Dwarf and the Valheim Modding Discord community for helping out with all the questions I have.
<br>
<br><b>Version Control</b>
<br>1.0.0 - First release
<br>1.1.0 - Added config to easily disable all functionalities.
<br>1.2.0 - Added ability to drag and move chest panel. Credits to Azumatt.
<br>1.2.1 - Fixed missing item on added row issue.
<br>
<a href='https://ko-fi.com/J3J6X1IYI' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://storage.ko-fi.com/cdn/kofi3.png?v=3' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a>